Subject: bug#59347: 29.0.50; `:family` face setting ignored

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Nov 2022 15:16:54 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 21 Nov 2022 22:05:05 -0500
> 
> So in essence, what you're saying is that we should rely more on
> scoring, and start with a coarser pattern right from the beginning?

Wouldn't this potentially examine many more fonts?  For example, if all I
want is a 'bold' version of the same family as the default face's font,
Emacs currently can find it almost immediately, by considering only the few
fonts of the same family.  Whereas with your proposal, it will start from a
"clean slate" every time and will need to examine many (if not all) of the
fonts on the system to be sure score-only matches will find the best
candidate.

Also, font_score only scores the numerical attributes, so how do we assess
the "score" of matches for :family or :adstyle?